Package net.md_5.bungee.api.event

# Class PermissionCheckEvent

java.lang.Object
net.md_5.bungee.api.plugin.Event
net.md_5.bungee.api.event.PermissionCheckEvent

public class PermissionCheckEvent extends Event
Called when the permission of a CommandSender is checked.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PermissionCheckEvent(CommandSender sender, String permission, boolean hasPermission)`
  Creates a new `PermissionCheckEvent` instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `String`
  `getPermission()`
  The permission to check.
  `CommandSender`
  `getSender()`
  The command sender being checked for a permission.
  `int`
  `hashCode()`
  `boolean`
  `hasPermission()`
  `void`
  `setHasPermission(boolean hasPermission)`
  The outcome of this permission check.
  `String`
  `toString()`

  ### Methods inherited from class net.md_5.bungee.api.plugin.Event

  `postCall`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### PermissionCheckEvent

    public PermissionCheckEvent(CommandSender sender, String permission, boolean hasPermission)
    Creates a new `PermissionCheckEvent` instance.
    Parameters:
      `sender` - The command sender being checked for a permission.
      `permission` - The permission to check.
      `hasPermission` - The outcome of this permission check.

- ## Method Details

  - ### hasPermission

    public boolean hasPermission()

  - ### getSender

    public CommandSender getSender()
    The command sender being checked for a permission.

  - ### getPermission

    public String getPermission()
    The permission to check.

  - ### setHasPermission

    public void setHasPermission(boolean hasPermission)
    The outcome of this permission check.

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### canEqual

    protected boolean canEqual(Object other)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`